{% extends "base.html" %}
{% load sniplates %}
{% load thumbnail %}
{% block title %}ALPlot - Limitplots{% endblock %}

{% block content %}
{% load_widgets form="widgets/app.html" %}
<div class="grid-container content-container">
  <div class="grid-x grid-margin-x">
    <div class="large-10 cell">
      <h2>Limitplots</h2>
    </div>
    <div class="large-2 cell">
      <a href="{% url 'limitplot_new' %}" class="button v-center">New Plot</a>
    </div>
    <div class="large-12 cell">
      <hr>
      <form action="{% url 'limitplot_list' %}" method="get" novalidate>
        <div class="input-group">
          <span class="input-group-label">{{ form.query.label }}</span>
          {% form_field form.query css_classes="input-group-field" %}
          <div class="input-group-button">
            <input type="submit" class="button" value="Submit">
          </div>
        </div>
      </form>
    </div>
    {% for plot in limitplots %}
      <div class="large-3 cell">
        <a href="{% url 'limitplot_detail' pk=plot.pk %}" class="card">
          <div class="card-divider">
            <h5>{{ plot.name }}</h5>
          </div>
          <img src="{{ plot.render|thumbnail_url:'limitplot' }}"
               alt="Thumbnail of {{ plot.name }}"
          />
          <div class="card-section">
            <p>{{ plot.description|truncatechars:64 }}</p>
          </div>
        </a>
      </div>
    {% empty %}
      <div class="large-12 cell">
        <p class="text-center lead">
          <i>
            Nothing to display! Check your search criteria...
          </i>
        </p>
      </div>
    {% endfor %}
  </div>
</div>
{% endblock %}
